> ## Documentation Index
> Fetch the complete documentation index at: https://api.veda.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Absences

<Note>
  This endpoint only works if your environment has been updated to BDERest version 63.11.20 or higher. If you are unsure of your BDERest version, you can check it in the Platform under Administration > Time & Security > Status.
</Note>

<Info>
  Our time management system supports absences in a highly flexible manner. Any booking key can be recorded as an absence, provided it is configured accordingly (See Time Booking Keys > `presenceEffect`). Therefore, there are no fixed types of absence.
  Furthermore, we are currently unable to distinguish between vacation and sick leave. Both are classified as absences.
</Info>


## OpenAPI

````yaml GET /api/v1/absences
openapi: 3.1.0
info:
  title: VEDA API
  description: >-
    The VEDA API is a unified API that provides access to various components of
    the VEDA HR Cloud. It simplifies the integration process by offering a
    single entry point for all API requests.
  contact:
    name: Tim Augustin
    email: tim.augustin@veda.net
  version: v1
servers: []
security: []
paths:
  /api/v1/absences:
    get:
      tags:
        - time-controller
      operationId: getAbsences
      parameters:
        - name: from
          in: query
          description: >-
            Filter for all absences that start on this day, or that have started
            but are not ended before this date. Imagine a calendar, this is the
            first day on which you start collecting all ongoing and newly
            started absences.
          required: false
          schema:
            type: string
            format: date
            description: >-
              Filter for all absences that start on this day, or that have
              started but are not ended before this date. Imagine a calendar,
              this is the first day on which you start collecting all ongoing
              and newly started absences.
        - name: to
          in: query
          description: >-
            Filter for all absences starting on or before this date. They may
            continue afterwards.
          required: false
          schema:
            type: string
            format: date
            description: >-
              Filter for all absences starting on or before this date. They may
              continue afterwards.
        - name: modifiedSince
          in: query
          description: Only absences that have changed since this date.
          required: false
          schema:
            type: string
            format: date-time
            description: Only absences that have changed since this date.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Absence'
components:
  schemas:
    Absence:
      type: object
      properties:
        id:
          type: string
        personId:
          type: string
          format: uuid
        startDate:
          type: string
          format: date
          description: First day of this absence.
        endDate:
          type: string
          format: date
          description: Last day of this absence.
        amount:
          type: number
          format: double
          description: >-
            Amount of time this absence takes. Depending on the configuration,
            this could, for example, exclude all weekends from the calendar
            days.
        key:
          type: string

````